v1/absences/statsAsk AIget https://shyftplan.com/api/v1/absences/statsReturn aggregated absence days for each absence reason.Query Paramsuser_emailstringrequiredThis is a testing sandbox. We advise against using credentials for production accounts here. E-mail address of the API user.authentication_tokenstringrequiredThis is a testing sandbox. We advise against using credentials for production accounts here. Authentication token - can be fetched by login action.company_idint32required≥ 1ID of a shyftplan account.starts_atdate-timeStart of the search period. The report will include only absences that at least partially overlap with the search period.ends_atdate-timeEnd of the search period. The report will include only absences that at least partially overlap with the search period.employment_ids[]array of objectsFilter for a list of employment IDs to include only absences for these employees. To include information about the year's entitlement or used/available carry-over days (remaining entitlement from the previous year), include a single employment ID.employment_ids[]ADD int32location_ids[]array of objectsFilter for a list of location IDs to include only absences of employees that can work at a position included in one of these locations.location_ids[]ADD int32attachmentboolean | nullFilter to include absences based on presence of an attached file. Available options:true: Only include absences with an attachment.false: Only include absences with no attachment.(empty value): Filter disabled.truefalsepaidbooleanFilter to include only paid (absence hours count as working time) or only unpaid absences.Available options:true: Only include paid absences.false: Only include unpaid absences.(empty value): Filter disabled.truetruefalselocations_position_ids[]array of int32sFilter for a list of locations position IDs to include only absences for employees who can work at any of the locations posititons specified.locations_position_ids[]ADD int32states[]array of objectsFilter for a list of absence states to include only absences with one of these states.states[]ADD stringabsence_reason_ids[]array of objectsFilter for a list of absence reason IDs to retrieve only absences with one of the absence reason IDs specified.absence_reason_ids[]ADD int32employment_statuses[]array of objectsFilter for a list of employment statuses to include only absences of employees with one of these status.employment_statuses[]ADD stringemployment_tag_ids[]array of int32sFilter for a list of employment tag IDs to include only absences of employees with one of these tags.employment_tag_ids[]ADD int32Responses 200 403Forbidden. 404Employment not found.Updated 6 months ago